<div class="container">
    <div class="movie-head-title pt-5 mb-3 text-center">
        <h4>Book Movies</h4>
    </div>

    <div class="d-flex justify-content-center">
        <div class="dropdown-select w-50">
            <!--movielist div-->
            <form [formGroup]="bookingForm" (ngSubmit)="onSubmit()">
                <div>
                    <select class="form-control" formControlName="selectedMovie" (change)='onMoviechange($event.target.value)'>
                        <option>Select Movie</option>
                        <option *ngFor="let moviesList of moviesData">{{moviesList.title}}</option>
                    </select>
                    
                    <div *ngIf="f.selectedMovie.touched && f.selectedMovie.invalid" class="alert alert-danger">
                        <div *ngIf="f.selectedMovie.errors.required">Please Select Movie First</div>
                    </div>
                </div>

                <!--timings div-->
                <div>
                    <select class="form-control mt-2" formControlName="selectedTime">
                        <option>Select Time</option>
                        <option *ngFor="let movietime of selectedMovieList">{{movietime}}</option>
                    </select>

                    <div *ngIf="f.selectedTime.touched && f.selectedTime.invalid" class="alert alert-danger">
                        <div *ngIf="f.selectedTime.errors.required">Please Select Time</div>
                    </div>

                </div>

                <div class="mt-2">
                    <input placeholder="Add No of Ticket" class="form-control" formControlName="totalTicket" type="number" value="1" >
                   
                    <div *ngIf="f.totalTicket.touched && f.totalTicket.invalid" class="alert alert-danger">
                        <div *ngIf="f.totalTicket.errors.required">Please select Ticket</div>
                    </div>
                </div>

                <div class="text-center m-4">
                    <button type="submit" class="btn btn-primary mr-1" [disabled]="!bookingForm.valid">Book Now</button>  
                </div>
          </form>
        </div>
       
    </div>
</div>